package bottin

type Config struct {
	Client struct {
		API struct {
			Host     string `yaml:"host"`
			Key      string `yaml:"key"`
			Port     int    `yaml:"port"`
			Protocol string `yaml:"protocol"`
		} `yaml:"api"`
	} `yaml:"client"`

	Server struct {
		API struct {
			DB struct {
				Database string `yaml:"database"`
				Host     string `yaml:"host"`
				Password string `yaml:"password"`
				Port     int    `yaml:"port"`
				SSLMode  string `yaml:"sslmode"`
				User     string `yaml:"user"`
			} `yaml:"db"`
			Host string `yaml:"host"`
			Key  string `yaml:"key"`
			Port int    `yaml:"port"`
			TLS  struct {
				Enabled  bool   `yaml:"enabled"`
				Certfile string `yaml:"certfile"`
				Keyfile  string `yaml:"keyfile"`
			} `yaml:"tls"`
		} `yaml:"api"`
		UI struct {
			API struct {
				Host     string `yaml:"host"`
				Key      string `yaml:"key"`
				Port     int    `yaml:"port"`
				Protocol string `yaml:"protocol"`
				TLS      struct {
					SkipVerify bool `yaml:"skipverify"`
				} `yaml:"tls"`
			} `yaml:"api"`
			Host     string `yaml:"host"`
			Password string `yaml:"password"`
			Port     int    `yaml:"port"`
			TLS      struct {
				Enabled  bool   `yaml:"enabled"`
				Certfile string `yaml:"certfile"`
				Keyfile  string `yaml:"keyfile"`
			} `yaml:"tls"`
			User string `yaml:"user"`
		} `yaml:"ui"`
	} `yaml:"server"`
}
