package templates

import (
	"embed"
	"html/template"
	"io"

	"github.com/labstack/echo/v4"
)

//go:embed *.html
var templatesFS embed.FS

type Template struct {
	templates *template.Template
}

func (t *Template) Render(w io.Writer, name string, data interface{}, c echo.Context) error {
	return t.templates.ExecuteTemplate(w, name, data)
}

// NewTemplate returns a new Template instance with templates embedded from *.html
func NewTemplate() *Template {
	return &Template{
		templates: template.Must(template.ParseFS(templatesFS, "*.html")),
	}
}
